import request from '@/utils/request'
//big/getScreen

// 查询办公室噪声数据
export function getNoiseData(query) {
    return request({
        url: '/screen/goaSensor/getNoiseData',
        method: 'get',
        params: query
    })
}
// 查询公区传感器数据
export function getTopData(query) {
    return request({
        url: '/screen/goaSensor/getTopData?depts=100',
        method: 'get',
        params: query
    })
}

/** 获取特定传感器数据
 * @param {Object} query
 * @param {'water_pressure'|'TVOC_CH2O'|'temp_humi'|'Smoke'|'noise'|'Methane'|'hydraulic_pressure'|'FIRE'|'dust'|'Current'} query.type 传感器类型
 * @param {number} query.deptId 部门id
 */
export function getSensorDateHourByType(query) {
    return request({
        url: '/screen/goaSenso/getSensorDateHourByType',
        method: 'get',
        params: query
    })
}